<template>
  <v-app class="grey lighten-4">
    <Snackbar />
    <Navbar />
    <v-content class="mx-4">
      <v-container>
        <router-view />
      </v-container>
    </v-content>
  </v-app>
</template>

<script>
import Navbar from "@/components/Navbar.vue";
import Snackbar from "@/components/Snackbar.vue";
import { mapGetters } from "vuex";
export default {
  name: "App",
  components: { Navbar, Snackbar },
  created() {
    this.$store.commit("snackbar/setSnackMessage", "HEY!");
    this.$store.dispatch("movies/findAll");
  },
  computed: {
    ...mapGetters({
      modifiedMovie: "movies/getModifiedMovie",
      movies: "movies/getAllMovies"
    })
  },
  watch: {
    modifiedMovie(newMovie) {
      if (newMovie)
        this.$store.commit(
          "snackbar/setSnackMessage",
          `${newMovie.name} was successfully ${newMovie.changeType}.`
        );
    }
  }
};
</script>
